### Signal

# Gtk NativeDialog::response

#### Declaration

    void
    response (
      GtkNativeDialog self,
      gint response_id,
      gpointer user_data
    )

#### Description [src]

Emitted when the user responds to the dialog.

When this is called the dialog has been hidden.

If you call gtk_native_dialog_hide() before the user responds to the dialog this signal will not be emitted.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`response_id` | `gint`
| The response ID.